Bug 710767

Summary: preupgrade.error.PUError: Not enough space in /boot/upgrade to download initrd.img.
Product: [Fedora] Fedora Reporter: udo <udovdh>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 17CC: richard, rohlfing
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 05:51:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description udo 2011-06-04 12:57:20 EDT
Description of problem:
preupgrade complains about lack of diskspace for initrd.img and exits.

Version-Release number of selected component (if applicable):
preupgrade-1.1.9-1.fc14.noarch

How reproducible:
Upgrade to F14, yum update during lifecycle.
Upgrade to F15 with preupgrade

Steps to Reproduce:
1. see below
2.
3.
  
Actual results:
See below

Expected results:
initial stages of preupgrade process executed successfully

Additional info:
[root@recorder boot]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/my_vg-rootlv
                      4.9G  779M  3.9G  17% /
tmpfs                 1.9G     0  1.9G   0% /dev/shm
/dev/mapper/my_vg-mythlv
                      1.2T  1.2T  4.9G 100% /Myth
/dev/sda1             194M  192M  2.3M  99% /boot
/dev/mapper/my_vg-homelv
                      4.0G  1.9G  1.9G  50% /home
/dev/mapper/my_vg-usrlv
                      6.4G  4.8G  1.4G  79% /usr
/dev/mapper/my_vg-srclv
                      6.0G  5.2G  497M  92% /usr/src
/dev/mapper/my_vg-varlv
                      4.0G  2.9G  874M  78% /var
/dev/sr0              4.1G  4.1G     0 100% /mnt
[root@recorder boot]# preupgrade-cli   "Fedora 15 (Lovelock)"
Loaded plugins: blacklist, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
No plugin match for: auto-update-debuginfo
Loaded plugins: presto, refresh-packagekit
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-15&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-15&arch=x86_64
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/15/Fedora/$basearch/os/
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/15/Fedora/x86_64/os/
preupgrade-fedora (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=fedora-15&arch=x86_64
  now: https://mirrors.fedoraproject.org/metalink?repo=fedora-15&arch=x86_64
preupgrade-flash (baseurl) 
  url: http://www.linux-ati-drivers.homecall.co.uk/flashplayer.x86_64
  now: http://www.linux-ati-drivers.homecall.co.uk/flashplayer.x86_64
preupgrade-livna (mirrorlist) 
  url: http://rpm.livna.org/mirrorlist
  now: http://rpm.livna.org/mirrorlist
Can't set up new repo preupgrade-livna - removing
preupgrade-rpmfusion-free (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-15&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-15&arch=x86_64
preupgrade-rpmfusion-free-updates (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-released-15&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-released-15&arch=x86_64
preupgrade-rpmfusion-nonfree (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-15&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-15&arch=x86_64
preupgrade-rpmfusion-nonfree-updates (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-updates-released-15&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-updates-released-15&arch=x86_64
preupgrade-updates (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f15&arch=x86_64
  now: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f15&arch=x86_64
Fetched treeinfo from http://mirror.nl.leaseweb.net/fedora/linux/releases/15/Fedora/x86_64/os//.treeinfo
treeinfo timestamp: Fri May 13 21:44:30 2011
MEMORY                                                                                                                                                                                  |  883 B     00:00     
/boot/upgrade/vmlinuz checksum OK
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 329, in <module>
    pu.main(release)
  File "/usr/share/preupgrade/preupgrade-cli.py", line 206, in main
    self.retrieve_critical_boot_files()
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 567, in retrieve_critical_boot_files
    self._retrieve_file(item)
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 476, in _retrieve_file
    (targetdir, item_fname))
preupgrade.error.PUError: Not enough space in /boot/upgrade to download initrd.img.


The bug blocks an easy upgrade to F15.
Comment 1 udo 2011-06-04 13:07:32 EDT
The continuous growth of space requirements to perform a preupgrade-upgrade is failing path:
Systems are installed. And upgraded. And Upgraded, etc.
Not REinstalled each time.
Thus, the old limits still apply, even though we are trying to upgrade to F15.
The fact that preupgrade still hasn't dealt with this problem which was even clear at the F13 -> F14 stage makes clear that we don't care about such real issues.

Is it so hard to make a minimal initrd and start the real initrd from someplace else?
This is not a feature request. This is a solution offer.
Comment 2 udo 2012-10-20 04:56:11 EDT
Will the preupgrade successor fix this?
Comment 3 Fedora End Of Life 2013-07-03 22:57:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 udo 2013-07-04 09:06:55 EDT
Loads of bugzille emaila won't help.
Fedup is not in working condition, so why stop with preupgarde?
Comment 5 Fedora End Of Life 2013-08-01 05:51:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.